/*
//
// Copyright (C) 2004-2006  Autodesk, Inc.
// 
// This library is free software; you can redistribute it and/or
// modify it under the terms of version 2.1 of the GNU Lesser
// General Public License as published by the Free Software Foundation.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
 *
 */

#ifndef FDOORACLE_H
#define FDOORACLE_H

#ifdef _WIN32
#pragma once
#endif

#include <Rdbms/Override/Oracle/OracleOvColumn.h>
#include <Rdbms/Override/Oracle/OracleOvDataPropertyDefinition.h>
#include <Rdbms/Override/Oracle/OracleOvDataPropertyDefinitionCollection.h>
#include <Rdbms/Override/Oracle/OracleOvGeometricColumn.h>
#include <Rdbms/Override/Oracle/OracleOvGeometricPropertyDefinition.h>
#include <Rdbms/Override/Oracle/OracleOvIndexCollection.h>
#include <Rdbms/Override/Oracle/OracleOvIndexDefinition.h>
#include <Rdbms/Override/Oracle/OracleOvObjectPropertyDefinition.h>
#include <Rdbms/Override/Oracle/OracleOvPhysicalSchemaMapping.h>
#include <Rdbms/Override/Oracle/OracleOvPropertyDefinition.h>
#include <Rdbms/Override/Oracle/OracleOvPropertyDefinitionCollection.h>
#include <Rdbms/Override/Oracle/OracleOvPropertyMappingClass.h>
#include <Rdbms/Override/Oracle/OracleOvPropertyMappingConcrete.h>
#include <Rdbms/Override/Oracle/OracleOvPropertyMappingDefinition.h>
#include <Rdbms/Override/Oracle/OracleOvPropertyMappingRelation.h>
#include <Rdbms/Override/Oracle/OracleOvPropertyMappingSingle.h>
#include <Rdbms/Override/Oracle/OracleOvTable.h>
#include <Rdbms/Override/Oracle/OracleOvUniqueKeyCollection.h>
#include <Rdbms/Override/Oracle/OracleOvUniqueKeyDefinition.h>
#include <Rdbms/Override/Oracle/OracleOv.h>
#include <Rdbms/Override/Oracle/OracleOvAssociationPropertyDefinition.h>
#include <Rdbms/Override/Oracle/OracleOvClassCollection.h>
#include <Rdbms/Override/Oracle/OracleOvClassDefinition.h>

#endif // FDOORACLE_H

